- Qt 5.5
- Qt3D Module
- C++ Classes
- QQmlAspectEngine
- Qt 5.5.1 Reference Documentation

# QQmlAspectEngine Class

(Qt3D::Quick::QQmlAspectEngine)

Inherits: |

- List of all members, including inherited members

## Public Types

enum | Status { Null, Ready, Loading, Error }

## Public Functions

| QQmlAspectEngine(QObject * parent = 0)
QAspectEngine * | aspectEngine() const
QQmlEngine * | qmlEngine() const
void | setSource(const QUrl & source)
Status | status() const

## Signals

void | statusChanged(Status)

## Member Type Documentation

### enum QQmlAspectEngine::Status

## Member Function Documentation

### QQmlAspectEngine::QQmlAspectEngine(QObject * parent = 0)

### QAspectEngine * QQmlAspectEngine::aspectEngine() const

### QQmlEngine * QQmlAspectEngine::qmlEngine() const

### void QQmlAspectEngine::setSource(const QUrl & source)

### Status QQmlAspectEngine::status() const

### `[signal]` void QQmlAspectEngine::statusChanged(Status)